Bug 250150 - devel/libsysctlmibinfo2 portrevision
Summary: devel/libsysctlmibinfo2 portrevision
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 250148 250149
Blocks: 250151
  Show dependency treegraph
 
Reported: 2020-10-05 22:07 UTC by Alfonso S. Siciliano
Modified: 2020-10-31 16:36 UTC (History)
1 user (show)

See Also:


Attachments
svn .diff (1.13 KB, patch)
2020-10-05 22:07 UTC, Alfonso S. Siciliano
alfix86: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfonso S. Siciliano 2020-10-05 22:07:25 UTC
Created attachment 218548 [details]
svn .diff

Portrevision because the new sysctl object {0.7} "sysctl.nextnoskip" overlaps the OIDs of sysctlinfo and sysctlbyname-improved, review D26560 - base r366465 

Portrevision:

 * add PORTREVISION for bump bug #250148 and bug #250149
 * add files/patch-libsysctlmibinfo2.h to change the sysctl OID of ENTRYIDINPUTBYNAME
Comment 1 Alfonso S. Siciliano 2020-10-07 07:27:40 UTC
(In reply to Alfonso S. Siciliano from comment #0)

Errata: the patch is 'files/patch-sysctlmibinfo2.c'
Comment 2 Kurt Jaeger freebsd_committer 2020-10-31 16:36:37 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2020-10-31 16:36:56 UTC
A commit references this bug:

Author: pi
Date: Sat Oct 31 16:36:26 UTC 2020
New revision: 553782
URL: https://svnweb.freebsd.org/changeset/ports/553782

Log:
  devel/libsysctlmibinfo2: fix after r366465

  - add files/patch-libsysctlmibinfo2.h to change the
    sysctl OID of ENTRYIDINPUTBYNAME

  PR:		250150
  Submitted by:	Alfonso S. Siciliano <alfix86@gmail.com> (maintainer)

Changes:
  head/devel/libsysctlmibinfo2/Makefile
  head/devel/libsysctlmibinfo2/files/
  head/devel/libsysctlmibinfo2/files/patch-sysctlmibinfo2.c